Last modified: 2013-04-10 01:51:08 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 46941 - Flagged revisions not properly marked
Flagged revisions not properly marked
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
FlaggedRevs (Other open bugs)
unspecified
All All
: Highest critical (vote)
: ---
Assigned To: Nobody - You can work on this!
https://www.mediawiki.org/wiki/Help:T...
:
Depends on:
Blocks: Wikisource wmf-deployment 16599
  Show dependency treegraph
 
Reported: 2013-04-06 07:36 UTC by Ankry
Modified: 2013-04-10 01:51 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Ankry 2013-04-06 07:36:42 UTC
After upgrade to MediaWiki 1.22 on plwikisource new pages are not marked as "checked" on recent changes and their view/edit/history pages. It hits either all or at least most users that has administrator/editor rights. It can be fixed for a single revision by an empty edit, even made by a user without editor rights. After the empty edit, the initial page is always "checked" by its creator. Some caching problem? Similar effect appears earlier accidentally, but never persists for longer than few hours. Currently it persists for about 3 days.
Comment 1 Nemo 2013-04-06 08:06:02 UTC
Is it the same on all namespaces?
There were similar problems on wikis whose Module: pages weren't flagged, and IIRC the solution was adding Module namespace to $wgFlaggedRevsNamespaces. Your current configuration is:

    $wgFlaggedRevsNamespaces = array( NS_MAIN, NS_TEMPLATE, NS_FILE, NS_CATEGORY, NS_HELP, 100, 102, 104 );

https://noc.wikimedia.org/conf/highlight.php?file=flaggedrevs.php
Comment 2 Ankry 2013-04-06 13:05:27 UTC
At least im Main, Category and Page namespaces. There was no need to create new pages in other namespaces last days. Is it possible to test whether flagging Module namespace would help in this case?
Comment 3 Ankry 2013-04-06 18:01:34 UTC
I noticed this efect also on ruwikisource in Main and Template namespaces. But cannot provide more tests as I have not editor rigts there. I hope this to be solved before the efect appears in MediaWiki 1.22 on wikipedias.
Comment 4 Bartosz Dziewoński 2013-04-06 20:40:10 UTC
I was able to replicate this on mediawiki.org: https://www.mediawiki.org/wiki/Help:Test_page2 . Raising severity, since this will most likely also cause similar troubles on all Wikipedias using FlaggedRevs.
Comment 5 Aaron Schulz 2013-04-08 18:11:19 UTC
Normal vs fake load balancer testing shows that this is obviously a problem with loading data from a slave DB.
Comment 6 Gerrit Notification Bot 2013-04-08 18:11:35 UTC
Related URL: https://gerrit.wikimedia.org/r/58118 (Gerrit Change I833481d9200e834518bb74cac0606d3d4550212e)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links